import type { RadioChangeEvent } from './interface';
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultValue: import("vue-types").VueTypeValidableDef<any>;
    value: import("vue-types").VueTypeValidableDef<any>;
    size: import("vue-types").VueTypeDef<"small" | "default" | "large"> & {
        default: "small" | "default" | "large";
    };
    options: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    buttonStyle: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
}, {
    formItemContext: import("../form/FormItemContext").FormItemContext;
    updatingValue: boolean;
    configProvider: any;
    radioGroupContext: any;
}, {
    stateValue: any;
}, {}, {
    onRadioChange(ev: RadioChangeEvent): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    size?: unknown;
    options?: unknown;
    disabled?: unknown;
    name?: unknown;
    buttonStyle?: unknown;
    onChange?: unknown;
    id?: unknown;
} & {
    id: string;
    name: string;
    size: "small" | "default" | "large";
    prefixCls: string;
    options: unknown[];
    buttonStyle: string;
} & {
    disabled?: boolean;
    value?: any;
    onChange?: (...args: any[]) => any;
    defaultValue?: any;
}> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    id: string;
    name: string;
    size: "small" | "default" | "large";
    onChange: (...args: any[]) => any;
    prefixCls: string;
    options: unknown[];
    buttonStyle: string;
}>;
export default _default;
